import { type FC } from 'react';
import { type LinkComp } from '../shared';
export type Feature = {
    img: string;
    url: string;
    title: string;
    description: string;
    lottieJsonData?: any;
};
type WhyRspackCardProps = {
    title: string;
    description: string;
};
export type FeatureListProps = {
    features: Feature[];
    LinkComp?: LinkComp;
};
export type WhyRspackProps = FeatureListProps & Partial<WhyRspackCardProps>;
export declare const WhyRspack: FC<WhyRspackProps>;
export {};
